// Top Menu

.top-menu {
    position: fixed;
    width:100%;
    padding: 40px;
    z-index: 777;
    @include flex($justify:space-between);
    @media (min-width: $desktop) {
    }
    .logo {
        cursor: pointer;
        z-index: 1;
        display: block;
        max-width: 198px;
    }

    // Navbar

    .navbar {
        position: relative;
        left: 200px;
        @media (min-width: $mobile-min)and (max-width:$tablet-min) {
            display: none;
        }
        @media (min-width: $tablet-min)and (max-width:$tablet) {
            left: 20px;
        }
        @media (min-width: $tablet)and (max-width:$laptop) {
            left: 50px;
        }
        &_links {
            @include flex();
            li {
                padding-right: 60px;
                .btn-flip {
                    opacity: 1;
                    outline: 0;
                    line-height: 40px;
                    color: $primary-color;
                    font-family: $font-primary;
                    font-size: 16px;
                    font-weight: 400;
                    cursor: pointer;
                    text-decoration: none;
                    text-transform: capitalize;
                    position: relative;
                }
            }
        }
    }

    // Navbar burger

    .nav_burger {
        position: absolute;
        &::before {
            content: '';
            position: fixed;
            top: 0;
            right: 0;
            width: 45%;
            height: 75%;
            border-radius: 0 0 0 100%;
            background: $red-color_bg;
            transition: all 200ms ease-out;
            clip-path: circle(30px at calc(100% - 30px) 30px);
            visibility: hidden;
            z-index: 2;
        }
        @media (min-width: $mobile-min)and (max-width:$mobile) {
            &::before {
                width: 100%;
                height: 420px;
            }
        }
        @media (min-width: $tablet)and (max-width:$laptop) {
            &::before {
                width: 500px;
                height: 500px;
            }
        }
        @media (min-width: $laptop)and (max-width:$desktop) {
            &::before {
                width: 700px;
                height: 700px;
            }
        }
        &.active::before {
            visibility: visible;
            clip-path: circle(100%);
        }
        &.active ul {
            @include flex($direction: column);
            position: fixed;
            top: calc(15% + 25px);
            right: calc(15% + 25px);
            z-index: 2;
            transition: all 1200ms ease-in-out;
            @media (min-width: $mobile-min)and (max-width:$tablet) {
                @include flex($direction: column);
                top: 100px;
                right: calc(15% + 4em);
            }
        }
        .nav_links {
            display: none;
            li {
                padding-bottom: 45px;
                a {
                    color: $primary-color;
                    font-family: $font-secondary;
                    font-size: 32px;
                    font-weight: 400;
                    cursor: pointer;
                    text-decoration: none;
                    text-transform: capitalize;
                }
            }
        }
    }
}